夜莺v6-ga13升级v6正式版因数据库新增字段导致升级到v6正式版后告警无法使用。

Viewed 67

v6-ga14开始alert_rule表里面新增extra_config,目前v6-ga13版本升级到v6正式版,导致原有告警保存报错。

2 Answers

你确定是的二进制升级了?版本那个页面截个图看看

image.png
image.png
我这边简单查看一了下,ga14-pre还没有这个字段,ga14就有了这个字段。
image.png

变更表结构好像现在新增自动变更表结构的程序models/migrate/migrate.go 我用二进制没出现你遇到的问题

可能是 migrate 失败了,没注意看日志。你可以手工 alter table 增加这个字段

感谢回复,我找到了新的排错方向,数据库权限不足导致无法更新字段。